%define pkgver %(echo %version | tr _ -)
Name:          q4wine
Version:       1.3.2
Release:       1mamba
Summary:       Q4Wine is a qt4 GUI for wine.
Summary(it):   Q4Wine è un interfaccia grafica per wine
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           http://q4wine.brezblock.org.ua/
Source:        http://downloads.sourceforge.net/project/q4wine/q4wine/q4wine%20%{pkgver}/q4wine-%{pkgver}.tar.bz2
#Source1:       it_it.ts
#Source2:       q4wine.desktop
#Source3:       en_us.ts
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: icoutils
Requires:      wine
Requires:      icoutils
Requires:      fuseiso

%description
Q4Wine is a qt4 GUI for wine. It will help you manage wine prefixes and installed applications.
    * Can export QT color theme into wine colors settings.
    * Can easy work with different wine versions at same time;
    * Easy creating, deleting and managing prefixes (WINEPREFIX);
    * Easy controlling for wine process;
    * Easy installer wizard for wine applications; (Not yet. Wait for v. 0.120)
    * Autostart icons support;
    * Easy cd-image use;
    * You can extract icons from PE files (.exe .dll);
    * Easy backup and restore for managed prefixes.
    * Winetriks support.
    * And more... Explore it! ;) 

%description -l it 
Q4Wine è un'interfaccia grafica per wine. Permette di gestire i prefissi di wine e le applicazioni installate
    * Può esportare i temi di colore di QT nei settaggi colore di wine.
    * Permette di lavorare facilmente con versioni diverse di wine contemporaneamente;
    * Permette di creare, cancellare e gestire facilmente i prefissi (WINEPREFIX);
    * Controllo semplice dei processi di wine;
    * Wizard per l'installazione semplificata delle applicazioni in wine; (Non ancora. Attendete la  v. 0.120)
    * Supporto per le icone Autostart;
    * Uso semplificato delle immagini dei cd;
    * Permette di estrarre le icone dai file PE (.exe .dll);
    * Backup and restore facilitato per i prefessi gestiti.
    * Supporto a winetriks.
    * e molto altro... Esploratelo! ;)

%prep
%setup -q -n %{name}-%{pkgver}
#cp %{SOURCE1} src/i18n/
#cp %{SOURCE3} src/i18n/
#cp %{SOURCE2} ./
#%patch -p1

%build
cmake -d build -DWITH_WINETRIKS=ON -DWITH_APPSDB=ON -DWITH_EMBEDDED_FUSEISO=ON -DCMAKE_INSTALL_PREFIX=/usr .
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall 

rm -rf %{buildroot}%{_datadir}/icons/ubuntu-mono-dark

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/q4wine
%{_bindir}/q4wine-cli
%{_bindir}/q4wine-helper
%dir %{_libdir}/q4wine
%{_libdir}/q4wine/libq4wine-core.so
%dir %{_datadir}/q4wine
%dir %{_datadir}/q4wine/l10n
%{_datadir}/q4wine/l10n/*.qm
%dir %{_datadir}/q4wine/icons
%{_datadir}/q4wine/icons/*
%dir %{_datadir}/q4wine/theme
%dir %{_datadir}/q4wine/theme/nuvola
%dir %{_datadir}/q4wine/theme/nuvola/data
%{_datadir}/q4wine/theme/nuvola/data/*.png
%{_datadir}/applications/q4wine.desktop
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_mandir}/man1/*.1.gz
%doc COPYING

%changelog
* Mon Sep 05 2016 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Sun Jul 31 2016 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Thu Mar 24 2016 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic version update by autodist

* Sat Jan 16 2016 Automatic Build System <autodist@mambasoft.it> 1.2_r1-1mamba
- automatic version update by autodist

* Fri Jan 31 2014 Automatic Build System <autodist@mambasoft.it> 1.1_r2-1mamba
- automatic version update by autodist

* Mon Dec 09 2013 Automatic Build System <autodist@mambasoft.it> 1.1_r1-1mamba
- automatic version update by autodist

* Sat Nov 16 2013 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic version update by autodist

* Tue May 07 2013 Automatic Build System <autodist@mambasoft.it> 1.0_r3-1mamba
- automatic version update by autodist

* Mon Mar 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0_r2-1mamba
- update to 1.0_r2

* Sat Feb 02 2013 Automatic Build System <autodist@mambasoft.it> 1.0_r1-1mamba
- update to 1.0_r1

* Sat May 07 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.121-1mamba
- update to 0.121

* Mon Oct 04 2010 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.120-2mamba
- ... add a changelog entry

* Mon Mar 22 2010 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.117-r6-1mamba
- update to 0117-r6

* Wed Nov 18 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.114-r1-2mamba
- added requires for fuseiso and icoutils 

* Tue Nov 17 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.114-r1-1mamba
- update to 0.114-r1

* Sun Nov 15 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.114-2mamba
- update to 0.114

* Wed Nov 11 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.114-1mamba
- update to 0.114-rc1
- remove it_it.ts source because it has been integrated in main trunk

* Fri Nov 06 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.113-4mamba
- rebuild with improved italian and english translation
- new desktop file with italian translation
- added requires for wine
- added a patch to fix a problem with winetricks install

* Thu Nov 05 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.113-3mamba
- fixed a typo in cmake

* Thu Nov 05 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.113-2mamba
- rebuild with italian translation
- Added support to winetricks
 
* Wed Nov 04 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.113-1mamba
- package created by autospec
